package io.renren.modules.sys.controller;

import org.jasypt.encryption.StringEncryptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/getpwd")
public class GetPwdController {
    @Autowired
    StringEncryptor encryptor;

    @GetMapping("/dataBase")
    public void test() {
        String username = encryptor.encrypt("");
        System.out.println(username);

        String password = encryptor.encrypt("");
        System.out.println(password);
    }
}
